#!/bin/sh
SCRIPTS_PATH=$1
MCSV_SERVICE_PATH=$2
REPORT_BIRT_PATH_SM_NEXT=$3
REPORT_BIRT_URL_SM=$4

ODA_USER=$5
ODA_PASSWORD=$6
ODA_HOST=$7
ODA_PORT=$8
ODA_DBNAME=$9
ODA_WALLET_PREFIX=$10
ODA_USE_WALLET=$11
ODA_IS_SAAS_TEK=$12

echo 'Update report.xml with BIRT mnemonics ------------------------------------'

$SCRIPTS_PATH/replace.sh "<>REPORT_BIRT_PATH_SM_NEXT<>"  "$REPORT_BIRT_PATH_SM_NEXT"  'report.xml'
$SCRIPTS_PATH/replace.sh '<>REPORT_BIRT_URL_SM<>'   "$REPORT_BIRT_URL_SM"   'report.xml'


echo 'Update connection.js with BIRT mnemonics ------------------------------------'
cd $MCSV_SERVICE_PATH/reports/src/config


$SCRIPTS_PATH/replace.sh "<>ODA_USER<>"  "$ODA_USER"  'connection.js'
$SCRIPTS_PATH/replace.sh "<>ODA_PASSWORD<>"  "$ODA_PASSWORD"  'connection.js'
$SCRIPTS_PATH/replace.sh "<>ODA_HOST<>"  "$ODA_HOST"  'connection.js'
$SCRIPTS_PATH/replace.sh "<>ODA_PORT<>"  "$ODA_PORT"  'connection.js'
$SCRIPTS_PATH/replace.sh "<>ODA_DBNAME<>"  "$ODA_DBNAME"  'connection.js'
$SCRIPTS_PATH/replace.sh "<>ODA_WALLET_PREFIX<>"  "$ODA_WALLET_PREFIX"  'connection.js'
$SCRIPTS_PATH/replace.sh "<>ODA_USE_WALLET<>"  "$ODA_USE_WALLET"  'connection.js'
$SCRIPTS_PATH/replace.sh "<>ODA_IS_SAAS_TEK<>"  "$ODA_IS_SAAS_TEK"  'connection.js'
